package agentland.behavior;

import metaglue.*;
import java.rmi.*;
import agentland.resource.*;

public interface BehaviorTester extends Managed {


    public void sendTestingStart() throws RemoteException ;
    
    public void sendEnter() throws RemoteException ;

    public void sendExit() throws RemoteException ;

    public void sendAllExit() throws RemoteException ;

    public void sendPhonecall() throws RemoteException ;

    public void sendDvdOn() throws RemoteException ;

    public void sendDvdOff() throws RemoteException ;

    public void sendMeetingStart() throws RemoteException ;

    public void sendMeetingStop() throws RemoteException ;

    public void sendQuietOn() throws RemoteException ;

    public void sendQuietOff() throws RemoteException ;

    public void sendDoorOpen() throws RemoteException ;

    public void sendDoorClose() throws RemoteException ;
    
    public void sendEvent(String eventName) throws RemoteException ;


    public void loadOcc() throws RemoteException ;

    public void loadMov() throws RemoteException ;
	    
    public void loadBevs() throws RemoteException ;

    public void getBevs() throws RemoteException ;

    public void getTree() throws RemoteException ;

    public void getEvents() throws RemoteException ;

    public void getDependencies() throws RemoteException ;

}
