package agentland.behavior.speechin;

import java.rmi.*;
import speech.*;
import speech.tools.*;
import metaglue.*;


public interface BehaviorSpeech extends ManagedSpeech {

    public void addKeyNotePair(String key, String note) throws RemoteException ;

    public void addKeySpokenMsgPair(String key, String spokenMsg) throws RemoteException ;

    public AppGrammar loadBehaviorGrammar(String gram) throws RemoteException ;

    public void say(String s) throws RemoteException ;

    public void say(String flag, String s) throws RemoteException ;

}
