package agentland.behavior.speechin;

import java.rmi.*;
import metaglue.*;
import agentland.resource.*;
import agentland.util.*;

public class BehaviorSpeechTestAgent extends ManagedAgent 
    implements BehaviorSpeechTest {

    public BehaviorSpeechTestAgent() throws RemoteException{
	super();

	setLogLevel(LogStream.DEBUG);

	addSpy("software.powerpoint.action.start");
	addSpy("software.powerpoint.action.stop");
    }

    public void tell(Secret secret) {
	if (secret.isA("software.powerpoint.action.start"))
	    log("Starting Presentation");
	else if (secret.isA("software.powerpoint.action.stop"))
	    log("Ending Presentation");
	else if (secret.isA("perception.person.enter"))
	    log("Someone Entered!");
	else if (secret.isA("perception.person.exit"))
	    log("Someone Left!");
	else if (secret.isA("perception.all.exit"))
	    log("Everyone left!");
    }
}
